ruby:
  is_home = current_page.path == "ruby/index.html"
  guides = sitemap.resources.select { |r| r.path.start_with? "guides/" }.sort_by { |r| r.data[:order] }
  title = current_page.data.title || "Danger"
  url = "http://danger.systems/#{current_page.path}"
html
  head
    meta charset="utf-8"

    <!-- Always force latest IE rendering engine or request Chrome Frame -->
    meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible"
    meta name="HandheldFriendly" content="True"
    meta name="MobileOptimized" content="480"
    meta name="viewport" content="width=480, initial-scale=0.6"
    meta name="keywords" content="constant integration culture code"
    meta name="author" content="Orta Therox"
    meta name="twitter:card" content="summary"
    meta name="twitter:creator" content="@orta"
    meta name="twitter:title" content=title.gsub('"', "'")
    meta name="twitter:description" content="Apply cultural rules during your CI process."
    meta name="twitter:url" content=url
    meta property="og:image" content="/images/square.png"
    meta property="og:url" content=url
    title == title

    == stylesheet_link_tag "style", "highlight"
    == javascript_include_tag  "https://code.jquery.com/jquery-3.1.0.min.js"

  body class=page_classes

    - if is_home
      div.home-header
        code Looking for <a href='/js'><img src='/images/js_logo.svg' width=20 height=20></a> or <a href='/swift'><img src='/images/sw_logo.svg' width=20 height=20></a>?

        code style="text-align:right;" a project from <a target="_blank" href="http://orta.io">orta therox</a>, <a target="_blank" href="https://juanitofatas.com">Juanito Fatas</a><br>and <a target="_blank" href="https://github.com/orgs/danger/people">the Danger org contributors</a>.

    header class=(is_home ? 'title' : 'title small')

      p Danger
      a href ="/ruby/"
        = image_tag "title.png", class: "retina", alt: "Danger title image"
      nav
        ul
          li
            a class=(current_page.path == "index.html" ? 'highlighted' : '') href="/ruby/" home
          li
            a class=(current_page.path.include?("guides") ? 'highlighted' : '') href="/guides.html" Guides
          li.big
            a class=(current_page.path == "reference.html" ? 'highlighted' : '') href="/reference.html" Reference
          li.big
            a href="https://twitter.com/DangerSystems/" Twitter
          li.small
            a class=(current_page.path == "reference.html" ? 'highlighted' : '') href="/reference.html" Ref

    - unless is_home

      h2.reduced_top_margin.punk
        span == current_page.data["subtitle"]
        code.byline.inline a project from <a target="_blank" href="http://orta.io">orta therox</a>, <a target="_blank" href="https://juanitofatas.com">Juanito Fatas</a> and <a target="_blank" href="https://github.com/orgs/danger/people"> and others</a>.

    == yield

    footer
      article
        h3 Danger
        ul
          li
            a href="https://github.com/danger/danger" 
              img.lang-logo src="/images/rubygems_logo.svg"
              | danger/danger
          li
            a href="https://github.com/danger/danger-js" 
              img.lang-logo src="/images/js_logo.svg"
              | danger/danger-js
          li
            a href="https://github.com/danger/swift"
              img.lang-logo src="/images/sw_logo.svg"
              | danger/swift
          li
            a href="https://github.com/danger/peril" danger/peril
          li
            a href="/js/js-vs-ruby.html" Ruby vs JS
          li
            a href="https://spectrum.chat/danger" Support via Spectrum

        h3 Twitter
        ul
          li
            a target="_blank" href="https://twitter.com/DangerSystems" @DangerSystems
          li
            a target="_blank" href="https://twitter.com/orta" @orta
          li
            a target="_blank" href="https://twitter.com/juanitofatas" @juanitofatas

      article
        h3 Guides
        ul
          - for resource in guides
            li
              a href=resource.url == resource.data["title"]

      article
        h3 Misc
        ul
          li
            a href="/reference.html" DSL Reference
          li
            a href="https://github.com/danger/danger/blob/master/CHANGELOG.md" CHANGELOG.md
          li
            a href="https://github.com/danger/design" Media Kit
          li
            a href="https://github.com/danger/danger#license-contributors-guidelines-and-code-of-conduct" COC / Moya CC
          li
            a href="https://github.com/danger/danger#im-here-to-help-out" Help Out Building Danger

      article
        a href="/images/dm-opinions.png"
          img src="/images/dm-opinions.png" height=244  width=203

javascript:
  (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
  (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
  m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
  })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

  ga('create', 'UA-81285417-1', 'auto');
  ga('send', 'pageview');
